#include <glib-object.h>
#include "fpi-context.h"

extern GType (fpi_device_goodixtls511_get_type) (void);
extern GType (fpi_device_goodixtls55x4_get_type) (void);
extern GType (fpi_device_virtual_image_get_type) (void);
extern GType (fpi_device_virtual_device_get_type) (void);
extern GType (fpi_device_virtual_device_storage_get_type) (void);

GArray *
fpi_get_driver_types (void)
{
  GArray *drivers = g_array_new (TRUE, FALSE, sizeof (GType));
  GType t;

  t = fpi_device_goodixtls511_get_type ();
  g_array_append_val (drivers, t);

  t = fpi_device_goodixtls55x4_get_type ();
  g_array_append_val (drivers, t);

  t = fpi_device_virtual_image_get_type ();
  g_array_append_val (drivers, t);

  t = fpi_device_virtual_device_get_type ();
  g_array_append_val (drivers, t);

  t = fpi_device_virtual_device_storage_get_type ();
  g_array_append_val (drivers, t);

  return drivers;
}
